﻿DROP TABLE IF EXISTS `Video`;
CREATE TABLE `Video` (
	`ID` INT AUTO_INCREMENT  NOT NULL,
	`Name` VARCHAR(100) CHARACTER SET utf8mb4  NULL,
	`Title` VARCHAR(255) CHARACTER SET utf8mb4  NULL,
	`Summary` VARCHAR(255) CHARACTER SET utf8mb4  NULL,
	`MetaKeyWords` VARCHAR(255) CHARACTER SET utf8mb4  NULL,
	`MetaDescription` VARCHAR(255) CHARACTER SET utf8mb4  NULL,
	`Counter` INT  NULL,
	`VideoTypeID` INT  NULL,
	`Description` VARCHAR(255) CHARACTER SET utf8mb4  NULL,
	`VideoUrl` VARCHAR(255) CHARACTER SET utf8mb4  NULL,
	`VideoCode` VARCHAR(1000) CHARACTER SET utf8mb4  NULL,
	`Duration` VARCHAR(100) CHARACTER SET utf8mb4  NULL,
	`Status` INT  NULL,
	`ImageThumbUrl` VARCHAR(255) CHARACTER SET utf8mb4  NULL,
	`ImageUrl` VARCHAR(255) CHARACTER SET utf8mb4  NULL,
	`IsPublish` TINYINT(1)  NOT NULL,
	`PublishDate` DATETIME  NULL,
	`CreateBy` VARCHAR(50) CHARACTER SET utf8mb4  NULL,
	`CreatebyName` VARCHAR(100) CHARACTER SET utf8mb4  NULL,
	`CreateDate` DATETIME  NULL,
	`LastUpdateBy` VARCHAR(50) CHARACTER SET utf8mb4  NULL,
	`LastUpdateByName` VARCHAR(100) CHARACTER SET utf8mb4  NULL,
	`LastUpdateDate` DATETIME  NULL,
	`ContentID` VARCHAR(100) CHARACTER SET utf8mb4  NULL,
	`CultureID` INT  NULL,
	PRIMARY KEY (`ID`)
);


DROP TABLE IF EXISTS `VideoDetailWidget`;
CREATE TABLE `VideoDetailWidget` (
	`ID` VARCHAR(100) CHARACTER SET utf8mb4  NOT NULL,
	`CustomerClass` VARCHAR(255) CHARACTER SET utf8mb4  NULL,
	PRIMARY KEY (`ID`)
);


DROP TABLE IF EXISTS `VideoGallery`;
CREATE TABLE `VideoGallery` (
	`ID` INT AUTO_INCREMENT  NOT NULL,
	`Title` VARCHAR(255) CHARACTER SET utf8mb4  NULL,
	`Description` VARCHAR(255) CHARACTER SET utf8mb4  NULL,
	`RawData` LONGTEXT CHARACTER SET utf8mb4  NULL,
	`Status` INT  NULL,
	`CreateBy` VARCHAR(50) CHARACTER SET utf8mb4  NULL,
	`CreatebyName` VARCHAR(100) CHARACTER SET utf8mb4  NULL,
	`CreateDate` DATETIME  NULL,
	`LastUpdateBy` VARCHAR(50) CHARACTER SET utf8mb4  NULL,
	`LastUpdateByName` VARCHAR(100) CHARACTER SET utf8mb4  NULL,
	`LastUpdateDate` DATETIME  NULL,
	PRIMARY KEY (`ID`)
);


DROP TABLE IF EXISTS `VideoListWidget`;
CREATE TABLE `VideoListWidget` (
	`ID` VARCHAR(100) CHARACTER SET utf8mb4  NOT NULL,
	`VideoTypeID` INT  NULL,
	`DetailPageUrl` VARCHAR(255) CHARACTER SET utf8mb4  NULL,
	`IsPageable` TINYINT(1)  NOT NULL,
	`PageSize` INT  NULL,
	PRIMARY KEY (`ID`)
);


DROP TABLE IF EXISTS `VideoTopWidget`;
CREATE TABLE `VideoTopWidget` (
	`ID` VARCHAR(100) CHARACTER SET utf8mb4  NOT NULL,
	`VideoTypeID` INT  NULL,
	`Tops` INT  NULL,
	`SubTitle` VARCHAR(255) CHARACTER SET utf8mb4  NULL,
	`MoreLink` VARCHAR(255) CHARACTER SET utf8mb4  NULL,
	`DetailPageUrl` VARCHAR(255) CHARACTER SET utf8mb4  NULL,
	PRIMARY KEY (`ID`)
);


DROP TABLE IF EXISTS `VideoType`;
CREATE TABLE `VideoType` (
	`ID` INT AUTO_INCREMENT  NOT NULL,
	`Name` VARCHAR(100) CHARACTER SET utf8mb4  NULL,
	`Title` VARCHAR(255) CHARACTER SET utf8mb4  NULL,
	`Description` VARCHAR(255) CHARACTER SET utf8mb4  NULL,
	`ParentID` INT  NULL,
	`Status` INT  NULL,
	`SEOTitle` VARCHAR(100) CHARACTER SET utf8mb4  NULL,
	`SEOKeyWord` VARCHAR(100) CHARACTER SET utf8mb4  NULL,
	`SEODescription` VARCHAR(300) CHARACTER SET utf8mb4  NULL,
	`CreateBy` VARCHAR(50) CHARACTER SET utf8mb4  NULL,
	`CreatebyName` VARCHAR(100) CHARACTER SET utf8mb4  NULL,
	`CreateDate` DATETIME  NULL,
	`LastUpdateBy` VARCHAR(50) CHARACTER SET utf8mb4  NULL,
	`LastUpdateByName` VARCHAR(100) CHARACTER SET utf8mb4  NULL,
	`LastUpdateDate` DATETIME  NULL,
	`ContentID` VARCHAR(100) CHARACTER SET utf8mb4  NULL,
	`CultureID` INT  NULL,
	PRIMARY KEY (`ID`)
);


DROP TABLE IF EXISTS `VideoTypeWidget`;
CREATE TABLE `VideoTypeWidget` (
	`ID` VARCHAR(100) CHARACTER SET utf8mb4  NOT NULL,
	`VideoTypeID` INT  NULL,
	`TargetPage` VARCHAR(255) CHARACTER SET utf8mb4  NULL,
	PRIMARY KEY (`ID`)
);